#pragma once

#include "Participants/ParticipantUDP.h"

namespace RoboidControl {
namespace Posix {

class ParticipantUDP : public RoboidControl::ParticipantUDP {
 public:
  void Setup(int localPort, const char* remoteIpAddress, int remotePort);
  void Receive();
  bool Send(Participant* remoteParticipant, int bufferSize);
  bool Publish(IMessage* msg);
};

}  // namespace Posix
}  // namespace RoboidControl
